#include "tst-main.C"

int
exec_tests ()
{
  for (char c = 'a'; c <= 'z'; c++)
    assert (IsLower (c));
  for (char c = 'A'; c <= 'Z'; c++)
    assert (!IsLower (c));

  assert (IsAlpha ('a'));
  assert (!IsAlpha ('~'));
  assert (!IsAlpha ('1'));

  assert (IsDigit ('1'));
  assert (!IsDigit ('a'));
  assert (!IsDigit ('~'));
  
  assert (IsAlphaNum ('a'));
  assert (IsAlphaNum ('1'));
  assert (!IsAlphaNum ('~'));

  assert (IsNon ('~'));

  set_match_mapping (MATCH_RFC1459);
  assert (!irccasecmp ("{}", "[]"));

  set_match_mapping (MATCH_ASCII);
  assert (irccasecmp ("{}", "[]"));

  char *buf = new char[7];
  memcpy (buf, "Hello\n", 7);
  strip (buf);
  assert (!strcmp (buf, "Hello"));

  ststr st ("Static content");
  assert (!strcmp ((char const *)st, "Static content"));
  
  return 0;
}
